ClassGenerator (groovy 2.4.14 API)
Date: 2018-02-24

Package: org.codehaus.groovy.classgen

## [Java] Class ClassGenerator

- org.codehaus.groovy.classgen.ClassGenerator

- All Implemented Interfaces and Traits:
    org.objectweb.asm.Opcodes

      public abstract class ClassGenerator
      extends ClassCodeVisitorSupport

  Abstract base class for generator of Java class versions of Groovy AST classes

  Authors:
    James Strachan
    Russel Winder

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected LinkedList<ClassNode>` | `innerClasses` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `LinkedList<ClassNode>` | `getInnerClasses()`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitBytecodeSequence(BytecodeSequence bytecodeSequence)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected LinkedList<ClassNode> innerClasses

  - ### Method Detail

    - #### public LinkedList<ClassNode> getInnerClasses()

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitBytecodeSequence(BytecodeSequence bytecodeSequence)